Bug 208200 - Review Request: toped - IC Layout Editor
Review Request: toped - IC Layout Editor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-26 18:34 EDT by Chitlesh GOORAH
Modified: 2008-11-10 12:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-13 09:12:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chitlesh: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2006-09-26 18:34:37 EDT
SPEC: http://chitlesh.funpic.de/rpm/toped.spec
SRPM: http://chitlesh.funpic.de/rpm/toped-0.8.1-1.src.rpm
Description:
Toped is an open source cross-platform IC layout editor,
based on openGL and wxWidgets.
Comment 1 Chitlesh GOORAH 2006-09-26 18:37:55 EDT
Upstream has been contacted and will be releasing an icon for Gnome/KDE menus.
I've left 
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
in both %post and %postun, hoping to receive the icon soon.
Comment 2 Mamoru TASAKA 2006-09-27 04:15:48 EDT
I can see lots of undefined weak symbol complaint.

W: toped undefined-non-weak-symbol /usr/lib/libtpd_common.so.0.0.0
wxEVT_LOG_ERRMESSAGE
W: toped undefined-non-weak-symbol /usr/lib/libtpd_common.so.0.0.0 CmdList
W: toped undefined-non-weak-symbol /usr/lib/libtpd_common.so.0.0.0
wxEVT_FUNC_BROWSER
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 Properties
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZNK5DBboxmlERK3CTM
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZN8SGBitSetD1Ev
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN9polycross11segmentlistD1Ev
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZN8SGBitSet3setEt
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZN5DBbox9getcornerEh
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZN5DBbox7overlapE2TP
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN5GDSin7GDSFile13SetNextRecordEht
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN5DBbox8clipareaERKS_b
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN5tedop11segmentlistC1ERKSt6vectorI2TPSaIS2_EEb
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZN2TPmLERK3CTM
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZN9polycross2XQD1Ev
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN5GDSin9GDSrecord10add_real8bEd
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZN3CTM6RotateEd
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN5GDSin9GDSrecord9add_asciiEPKc
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZN5DBbox9normalizeEv
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZNK5DBboxneERKS_
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN5GDSin7GDSFile19registerCellWrittenESs
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN5tedop9SweepLineC1ESt6vectorI2TPSaIS2_EE
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN5GDSin9GDSrecord9add_int4bEi
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN5GDSin9GDSrecord9add_int2bEt
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZNK5DBboxeqERKS_
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN5GDSin7GDSFile16checkCellWrittenESs
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN5GDSin7GDSFile8SetTimesEPNS_9GDSrecordE
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN5tedop10EventQueueC1ERKNS_11segmentlistE
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZNK8SGBitSet8isallsetEv
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN9polycross11segmentlist11dump_pointsEv
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN9polycross2XQ10sweep2bindERNS_14BindCollectionE
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN5tedop11segmentlistD1Ev
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN9polycross11segmentlist9normalizeERKSt6vectorI2TPSaIS2_EE
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZN5DBboxaSERKS_
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_Z8tell_logN7console8LOG_TYPEEPKc
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZN3CTMaSES_
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN9polycross14BindCollection11get_highestEv
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZN8SGBitSet5resetEt
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZNK8SGBitSet10isallclearEv
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN9polycross11segmentlist15insertBindPointEjPK2TP
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN16EXPTNactive_cellC1Ev
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZN8SGBitSetC1Et
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN14EXPTNpolyCrossC1ESs
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN12EXPTNreadTDTC1ESs
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZNK2TP4infoERSt19basic_ostringstreamIcSt11char_traitsIcESaIcEE
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN8SGBitSet20check_neighbours_setEb
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN9polycross2XQ5sweepEv
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_Z8tell_logN7console8LOG_TYPEERKSs
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN5GDSin7GDSFile5flushEPNS_9GDSrecordE
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN5tedop9SweepLineD1Ev
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZNK3CTM5toGDSER2TPRdS2_Rb
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN9polycross11segmentlistC1ERKSt6vectorI2TPSaIS2_EEh
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZNK2TPmlERK3CTM
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZNK3CTMmlES_
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN5tedop10EventQueue11check_validERNS_9SweepLineE
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZNK8SGBitSet5checkEt
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN9polycross14BindCollectionD1Ev
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZN5DBbox4areaEv
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZN5DBboxC1Eiiii
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZN5DBbox7overlapES_
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN5DBbox6insideERK2TP
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN9polycross2XQC1ERKNS_11segmentlistES3_
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZN5DBbox7clipboxERS_
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZN3CTMC1E2TPddb
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZN8SGBitSet6setallEv
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0 _ZNK3CTM8ReversedEv
W: toped undefined-non-weak-symbol /usr/lib/libtpd_DB.so.0.0.0
_ZN5tedop10EventQueueD1Ev
W: toped undefined-non-weak-symbol /usr/lib/libtpd_parser.so.0.0.0 CMDBlock
W: toped undefined-non-weak-symbol /usr/lib/libtpd_parser.so.0.0.0 LogFile
W: toped undefined-non-weak-symbol /usr/lib/libtpd_parser.so.0.0.0 _ZN8SGBitSetD1Ev
W: toped undefined-non-weak-symbol /usr/lib/libtpd_parser.so.0.0.0
_Z8tell_logN7console8LOG_TYPEERK8wxString
W: toped undefined-non-weak-symbol /usr/lib/libtpd_parser.so.0.0.0 _ZN7TpdTimeclEv
W: toped undefined-non-weak-symbol /usr/lib/libtpd_parser.so.0.0.0
_ZN8SGBitSetC1EPS_
W: toped undefined-non-weak-symbol /usr/lib/libtpd_parser.so.0.0.0 _Z8wxGetAppv
W: toped undefined-non-weak-symbol /usr/lib/libtpd_parser.so.0.0.0
_Z8tell_logN7console8LOG_TYPEEPKc
W: toped undefined-non-weak-symbol /usr/lib/libtpd_parser.so.0.0.0
_ZN7console9TellFnAddESsPv
W: toped undefined-non-weak-symbol /usr/lib/libtpd_parser.so.0.0.0
_ZN7console10TellFnSortEv
W: toped undefined-non-weak-symbol /usr/lib/libtpd_parser.so.0.0.0
_Z8tell_logN7console8LOG_TYPEERKSs

I don't know about this, however, something is wrong about linking against
some libraries. Can you check what is wrong or contact with upstream?

Also, some examples would be appreciated.
Comment 3 Mamoru TASAKA 2006-09-27 04:16:40 EDT
Oops, undefined NON-weak symbols complaint, I meant.
Comment 4 Chitlesh GOORAH 2006-09-27 06:36:18 EDT
For some reason, I don't have these on my rpmlint output.
Did you only rpmlint my srpm package or you have rebuilt and rpmlint ?
I know you are running rawhide Mamuro, maybe these output comes from rpmlint my
FC5 built srpm.

Updated:
SPEC: http://chitlesh.funpic.de/rpm/toped.spec
SRPM: http://chitlesh.funpic.de/rpm/toped-0.8.1-2.src.rpm
Comment 5 Mamoru TASAKA 2006-09-27 06:51:46 EDT
Before checking 0.8.1-2;

Well, in fact I did not get the rpmlint complaint (in comment #2)
by "rpmlint toped-0.8.1-1.fc6.i386.rpm". However, when
I once install toped and check this by "rpmlint toped" (I knew it
recently that rpmlint can be used for installed packages), those rpmlint 
warnings appear.

I don't know why these rpmlint does not appear on binary rpm,
however, these warnings are indeed _TRUE_ because:
---------------------------------------------------------------------------
[root@localhost ~]# ldd -r /usr/lib/libtpd_DB.so.0.0.0 
        linux-gate.so.1 =>  (0xb7f33000)
        libglut.so.3 => /usr/lib/libglut.so.3 (0x006a4000)
...................
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x078a3000)
undefined symbol: Properties    (/usr/lib/libtpd_DB.so.0.0.0)
undefined symbol: _ZNK5DBboxmlERK3CTM   (/usr/lib/libtpd_DB.so.0.0.0)
undefined symbol: _ZN8SGBitSetD1Ev      (/usr/lib/libtpd_DB.so.0.0.0)
undefined symbol: _ZN9polycross11segmentlistD1Ev       
(/usr/lib/libtpd_DB.so.0.0.0)
undefined symbol: _ZN8SGBitSet3setEt    (/usr/lib/libtpd_DB.so.0.0.0)
undefined symbol: _ZN5DBbox9getcornerEh (/usr/lib/libtpd_DB.so.0.0.0)
................................
---------------------------------------------------------------------------
so something is surely wrong about linking libraries.
Comment 6 Mamoru TASAKA 2006-09-27 10:25:55 EDT
Well, I asked on Fedora-Extras list how to deal with these
complaints and it seems that these are NOT a blocker.

However, I would try to remove these complaints (I may
give up). Anyway it is better that you report this to
upstream.
Comment 7 Chitlesh GOORAH 2006-09-27 10:47:36 EDT
Upstream has been contacted.
Svilen, who is the upstream is already in Cc to this bug :)
Comment 8 Mamoru TASAKA 2006-09-27 11:02:45 EDT
(In reply to comment #7)
> Upstream has been contacted.
> Svilen, who is the upstream is already in Cc to this bug :)

Thank you. I hope Svilen will solve this issue.

----------------------------------------------------------------
By the way (this is not for toped) same things are found
for libgeda.

[tasaka1@localhost ~]$ rpmlint libgeda
W: libgeda undefined-non-weak-symbol /usr/lib/libgeda.so.26.0.0
load_newer_backup_func
W: libgeda undefined-non-weak-symbol /usr/lib/libgeda.so.26.0.0 arc_draw_func
W: libgeda undefined-non-weak-symbol /usr/lib/libgeda.so.26.0.0 line_draw_func
W: libgeda undefined-non-weak-symbol /usr/lib/libgeda.so.26.0.0 text_draw_func
W: libgeda undefined-non-weak-symbol /usr/lib/libgeda.so.26.0.0 x_log_update_func
W: libgeda undefined-non-weak-symbol /usr/lib/libgeda.so.26.0.0 net_draw_func
W: libgeda undefined-non-weak-symbol /usr/lib/libgeda.so.26.0.0 select_func
W: libgeda undefined-non-weak-symbol /usr/lib/libgeda.so.26.0.0 complex_draw_func
W: libgeda undefined-non-weak-symbol /usr/lib/libgeda.so.26.0.0 circle_draw_func
W: libgeda undefined-non-weak-symbol /usr/lib/libgeda.so.26.0.0 box_draw_func
W: libgeda undefined-non-weak-symbol /usr/lib/libgeda.so.26.0.0 do_logging
W: libgeda undefined-non-weak-symbol /usr/lib/libgeda.so.26.0.0 bus_draw_func
W: libgeda undefined-non-weak-symbol /usr/lib/libgeda.so.26.0.0 pin_draw_func
W: libgeda undefined-non-weak-symbol /usr/lib/libgeda.so.26.0.0 picture_draw_func
W: libgeda undefined-non-weak-symbol /usr/lib/libgeda.so.26.0.0 variable_set_func
[tasaka1@localhost ~]$ rpm -q libgeda
libgeda-20060906-2.fc6

Would you also report this to upstream?

(I also found this problem for a package maintained by me so I have
to report to upstream, too) 
Comment 9 Svilen Krustev 2006-09-27 14:59:30 EDT
Thanks guys for your input!
I had a quick look ... One of the reasons seems to be that some global variables
(always troubles with them) are defined in the main module and used in the
libraries. They are certainly not that much though, so it should be something
else as well. I'm on it and will get back as soon as I know more.
Comment 10 Svilen Krustev 2006-09-27 19:54:25 EDT
OK, apart from the global variables there is a strange stuff related to the
libtool. I don't know what's the exact difference between 
<module_name>_LTADD <libname> 
and 
<module_name>_LDADD <libname> 
but it seems that the first one links the somehow the module to the library and
ldd can't see that dependancy. Didn't investagate further, by replacing the
first line with the second certainly fixes all the remaining troubles
... well except a single one related to the wxWidgets top application object.
This one will need a little bit more time

So - I'll have to commit some changes in the packet. What is the best way to
proceed further - shall I create a new tarball say 0.8.2?

Chitlesh, it seems that the link to the srpm is broken
Comment 11 Mamoru TASAKA 2006-09-28 03:19:43 EDT
(In reply to comment #10)
> So - I'll have to commit some changes in the packet. What is the best way to
> proceed further - shall I create a new tarball say 0.8.2?

I think releasing new tarball is preferable so that non-Fedora
users can use it.
Comment 12 Svilen Krustev 2006-09-28 19:08:28 EDT
Fixes are in repository. I'll try to upload the new tarball tomorrow, meanwhile
I need some time for tests and also expect some feedback from Sergey.
If you spot something else - please let me know
Comment 13 Svilen Krustev 2006-09-30 18:04:09 EDT
The packet is ready and can be found here
http://prdownload.berlios.de/toped/toped-0.8.2.tar.bz2
Comment 14 Chitlesh GOORAH 2006-10-02 03:30:53 EDT
Updated:
SPEC: http://chitlesh.funpic.de/rpm/toped.spec
SRPM: http://chitlesh.funpic.de/rpm/toped-0.8.2-1.src.rpm

Thanks Svilen.
Comment 15 Mamoru TASAKA 2006-10-02 11:28:23 EDT
Well, I have two questions.

A. The files included in toped main package which are under
   /usr/share/tll are C++ program text. Are these files necessary
   for main package?

B. toped-devel package contains no header files. Therefore the prototypes
    of functions in the libraries in toped cannot be gained and I think
    this -devel package is not useful. 

   (The exception for this case is X related packages. For example, 
    libXxf86vm-devel does not have any header files, they are in
    xorg-x11-proto-devel package.) 

  Is this package (toped-devel) really needed?
Comment 16 Mamoru TASAKA 2006-10-02 11:38:28 EDT
Note: undefined non-weak symbol problem is solved.
Thanks, Svilen.
Comment 17 Svilen Krustev 2006-10-02 14:32:08 EDT
(In reply to comment #15)
> Well, I have two questions.
> 
> A. The files included in toped main package which are under
>    /usr/share/tll are C++ program text. Are these files necessary
>    for main package?
Actually these are TELL sources - syntax is deliberately very close to C, but
actually they are just examples. They contain also an example of the initial
setup. Package will work without them, but you certinly need something similar 
if you want to do some work with the packet.
> 
> B. toped-devel package contains no header files. Therefore the prototypes
>     of functions in the libraries in toped cannot be gained and I think
>     this -devel package is not useful. 
> 
>    (The exception for this case is X related packages. For example, 
>     libXxf86vm-devel does not have any header files, they are in
>     xorg-x11-proto-devel package.) 
> 
>   Is this package (toped-devel) really needed?
Actually I agree. At the moment libraries are rather modules of the main
program. At some point in the future devel package might be appropriate - it's
too early though.
Comment 18 Chitlesh GOORAH 2006-10-02 17:43:58 EDT
(In reply to comment #15)
> Well, I have two questions.
> 
> A. The files included in toped main package which are under
>    /usr/share/tll are C++ program text. Are these files necessary
>    for main package?
> 

Yes there are important. They are used as "include" files

> B. toped-devel package contains no header files. Therefore the prototypes
>     of functions in the libraries in toped cannot be gained and I think
>     this -devel package is not useful. 
> 
>    (The exception for this case is X related packages. For example, 
>     libXxf86vm-devel does not have any header files, they are in
>     xorg-x11-proto-devel package.) 
> 
>   Is this package (toped-devel) really needed?

Rpmlint complains

W: toped devel-file-in-non-devel-package /usr/lib/libtpd_common.so
W: toped devel-file-in-non-devel-package /usr/lib/libtpd_parser.so
W: toped devel-file-in-non-devel-package /usr/lib/libtpd_DB.so
Comment 19 Mamoru TASAKA 2006-10-02 23:43:29 EDT
(In reply to comment #18)
> (In reply to comment #15)
> > Well, I have two questions.
> > 
> > A. The files included in toped main package which are under
> >    /usr/share/tll are C++ program text. Are these files necessary
> >    for main package?
> > 
> 
> Yes there are important. They are used as "include" files
Okay, then include this as you did.

> 
> > B. toped-devel package contains no header files. Therefore the prototypes
> >     of functions in the libraries in toped cannot be gained and I think
> >     this -devel package is not useful. 
> >   Is this package (toped-devel) really needed?
> 
> Rpmlint complains
> 
> W: toped devel-file-in-non-devel-package /usr/lib/libtpd_common.so
> W: toped devel-file-in-non-devel-package /usr/lib/libtpd_parser.so
> W: toped devel-file-in-non-devel-package /usr/lib/libtpd_DB.so

Then simply remove these files.

Comment 20 Svilen Krustev 2006-10-05 15:31:33 EDT
Mamoru,
I though that you last post is not addressed to me.
Nevertheless - small note: - as a general I need the libraries. My previous note
concerns the developement package - as I wrote at the moment I doubt that they
will be used in other projects apart from toped.
If however we have to release a development package because of the libraries -
I'm ready to spend some time and to do the appropriate additions and changes so
that a proper development package can be released.
In this case though I'll need some tips from you - what has to be done

Regards
Svilen
Comment 21 Mamoru TASAKA 2006-10-05 18:32:21 EDT
(In reply to comment #20)

> If however we have to release a development package because of the libraries -

No, it is not necessary. As I said in comment #19, just remove
all *.so files (3 files) (not *.so.* files) by 
   rm -f %{buildroot}%{_libdir}/*.so   ,
move the left document files to main package and then don't create 
devel package. For now we don't need devel package.
Comment 23 Mamoru TASAKA 2006-10-06 10:46:56 EDT
Okay.

---------------------------------------------------------
  This package (toped) is APPROVED by me.
Comment 24 Chitlesh GOORAH 2006-10-09 10:51:05 EDT
Thanks Mamoru,
I'll upload it this friday
Comment 25 Mamoru TASAKA 2006-10-12 13:41:53 EDT
Cheitlesh, I saw by mail that you imported 0.8.2-1.
I checked the spec file, however, it has a problem because
0.8.2-1 spec file (you imported) has the line:

%{_libdir}/libtpd_common.so
%{_libdir}/libtpd_DB.so
%{_libdir}/libtpd_parser.so

These files are unneeded (and should not be included) as discussed
above.
Please import 0.8.2-2 srpm.
Comment 26 Mamoru TASAKA 2006-10-12 13:42:55 EDT
Ah, sorry for misspelling......
Comment 27 Chitlesh GOORAH 2006-10-12 13:58:08 EDT
Sorry, thanks for notifying it to me.

however the build server sounds down !!
Comment 28 Chitlesh GOORAH 2008-11-10 12:01:01 EST
Package Change Request
=======================
Package Name: toped
Short Description: IC Layout Editor
Owners: chitlesh
Branches: EL-5
Comment 29 Kevin Fenzi 2008-11-10 12:06:14 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.